<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RCCAProfiles StructType
 * @subpackage Structs
 */
class RCCAProfiles extends AbstractStructBase
{
    /**
     * The ccaId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ccaId;
    /**
     * The primarySoftSwitchId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $primarySoftSwitchId;
    /**
     * The secondarySoftSwitchId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $secondarySoftSwitchId;
    /**
     * The objectClass
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $objectClass;
    /**
     * The subscriberType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $subscriberType;
    /**
     * The sipAliasSuffix
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sipAliasSuffix;
    /**
     * The sipUserNameSuffix
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sipUserNameSuffix;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RCCAProfiles
     * @uses RCCAProfiles::setCcaId()
     * @uses RCCAProfiles::setPrimarySoftSwitchId()
     * @uses RCCAProfiles::setSecondarySoftSwitchId()
     * @uses RCCAProfiles::setObjectClass()
     * @uses RCCAProfiles::setSubscriberType()
     * @uses RCCAProfiles::setSipAliasSuffix()
     * @uses RCCAProfiles::setSipUserNameSuffix()
     * @uses RCCAProfiles::setUuid()
     * @param string $ccaId
     * @param string $primarySoftSwitchId
     * @param string $secondarySoftSwitchId
     * @param string $objectClass
     * @param string $subscriberType
     * @param string $sipAliasSuffix
     * @param string $sipUserNameSuffix
     * @param string $uuid
     */
    public function __construct($ccaId = null, $primarySoftSwitchId = null, $secondarySoftSwitchId = null, $objectClass = null, $subscriberType = null, $sipAliasSuffix = null, $sipUserNameSuffix = null, $uuid = null)
    {
        $this
            ->setCcaId($ccaId)
            ->setPrimarySoftSwitchId($primarySoftSwitchId)
            ->setSecondarySoftSwitchId($secondarySoftSwitchId)
            ->setObjectClass($objectClass)
            ->setSubscriberType($subscriberType)
            ->setSipAliasSuffix($sipAliasSuffix)
            ->setSipUserNameSuffix($sipUserNameSuffix)
            ->setUuid($uuid);
    }
    /**
     * Get ccaId value
     * @return string|null
     */
    public function getCcaId()
    {
        return $this->ccaId;
    }
    /**
     * Set ccaId value
     * @param string $ccaId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCCAProfiles
     */
    public function setCcaId($ccaId = null)
    {
        $this->ccaId = $ccaId;
        return $this;
    }
    /**
     * Get primarySoftSwitchId value
     * @return string|null
     */
    public function getPrimarySoftSwitchId()
    {
        return $this->primarySoftSwitchId;
    }
    /**
     * Set primarySoftSwitchId value
     * @param string $primarySoftSwitchId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCCAProfiles
     */
    public function setPrimarySoftSwitchId($primarySoftSwitchId = null)
    {
        $this->primarySoftSwitchId = $primarySoftSwitchId;
        return $this;
    }
    /**
     * Get secondarySoftSwitchId value
     * @return string|null
     */
    public function getSecondarySoftSwitchId()
    {
        return $this->secondarySoftSwitchId;
    }
    /**
     * Set secondarySoftSwitchId value
     * @param string $secondarySoftSwitchId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCCAProfiles
     */
    public function setSecondarySoftSwitchId($secondarySoftSwitchId = null)
    {
        $this->secondarySoftSwitchId = $secondarySoftSwitchId;
        return $this;
    }
    /**
     * Get objectClass value
     * @return string|null
     */
    public function getObjectClass()
    {
        return $this->objectClass;
    }
    /**
     * Set objectClass value
     * @param string $objectClass
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCCAProfiles
     */
    public function setObjectClass($objectClass = null)
    {
        $this->objectClass = $objectClass;
        return $this;
    }
    /**
     * Get subscriberType value
     * @return string|null
     */
    public function getSubscriberType()
    {
        return $this->subscriberType;
    }
    /**
     * Set subscriberType value
     * @param string $subscriberType
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCCAProfiles
     */
    public function setSubscriberType($subscriberType = null)
    {
        $this->subscriberType = $subscriberType;
        return $this;
    }
    /**
     * Get sipAliasSuffix value
     * @return string|null
     */
    public function getSipAliasSuffix()
    {
        return $this->sipAliasSuffix;
    }
    /**
     * Set sipAliasSuffix value
     * @param string $sipAliasSuffix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCCAProfiles
     */
    public function setSipAliasSuffix($sipAliasSuffix = null)
    {
        $this->sipAliasSuffix = $sipAliasSuffix;
        return $this;
    }
    /**
     * Get sipUserNameSuffix value
     * @return string|null
     */
    public function getSipUserNameSuffix()
    {
        return $this->sipUserNameSuffix;
    }
    /**
     * Set sipUserNameSuffix value
     * @param string $sipUserNameSuffix
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCCAProfiles
     */
    public function setSipUserNameSuffix($sipUserNameSuffix = null)
    {
        $this->sipUserNameSuffix = $sipUserNameSuffix;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCCAProfiles
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
